Subject: Re: linux-next: manual merge of the net-next tree with the net tree

From: Jakub Kicinski <[email-masked]>
Date: Thu, 22 Sep 2022 12:59:08 -0700

On Wed, 21 Sep 2022 11:18:17 +0200 Matthieu Baerts wrote:
> Hi Stephen,
> 
> On 21/09/2022 03:04, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the net-next tree got a conflict in:
> > 
> >   tools/testing/selftests/drivers/net/bonding/Makefile
> > 
> > between commit:
> > 
> >   bbb774d921e2 ("net: Add tests for bonding and team address list management")
> > 
> > from the net tree and commit:
> > 
> >   152e8ec77640 ("selftests/bonding: add a test for bonding lladdr target")
> > 
> > from the net-next tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary.  
> Thank you for sharing this fix (and all the others!).
> 
> I also had this conflict on my side[1] and I resolved it differently,
> more like what is done in the -net tree I think, please see the patch
> attached to this email.
> 
> I guess I should probably use your version. It is just I saw it after
> having resolved the conflict on my side :)
> I will check later how the network maintainers will resolve this
> conflict and update my tree if needed.

I took this opportunity to sort 'em:

- TEST_PROGS := bond-break-lacpdu-tx.sh
- TEST_PROGS += bond-lladdr-target.sh
 -TEST_PROGS := bond-break-lacpdu-tx.sh \
 -            dev_addr_lists.sh \
 -            bond-arp-interval-causes-panic.sh
++TEST_PROGS := \
++      bond-arp-interval-causes-panic.sh \
++      bond-break-lacpdu-tx.sh \
++      dev_addr_lists.sh
+ 
+ TEST_FILES := lag_lib.sh

Here's to hoping there are no more bond selftests before final..